Subject: Re: [PATCH 6/8] powerpc: Extend syscall ppc_rtas()

From: Alexander Graf <[email-masked]>
Date: Mon, 19 May 2014 14:55:40 +0200

On 14.05.14 06:12, Gavin Shan wrote:
> Originally, syscall ppc_rtas() can be used to invoke RTAS call from
> user space. Utility "errinjct" is using it to inject various errors
> to the system for testing purpose. The patch intends to extend the
> syscall to support both pSeries and PowerNV platform. With that,
> RTAS and OPAL call can be invoked from user space. In turn, utility
> "errinjct" can be supported on pSeries and PowerNV platform at same
> time.
>
> The original syscall handler ppc_rtas() is renamed to ppc_firmware(),
> which calls ppc_call_rtas() or ppc_call_opal() depending on the
> running platform. The data transported between userland and kerenl is

Please fix your spelling of kernel.

> by "struct rtas_args". It's platform specific on how to use the data.
>
> Signed-off-by: Mike Qiu <[email-masked]>
> Signed-off-by: Gavin Shan <[email-masked]>

I think the basic idea to maintain the same interface between PAPR and 
OPAL to user space is sound, but this is really Ben's call.

Alex